@echo -off
echo " "
echo "This utility will allow you to upgrade the BIOS and BCFW for APC910 "
echo "with TS17 cpu modules (QM170/CM236)."
echo "If you want to do all these functions, press Enter. If not, hit 'q'."
echo "Do NOT reboot or Power Off the system during this process until you "
echo "see Upgrade complete."
echo "In case of a Extended Upgrade (e.g. Intel ME firmware), the system"
echo "needs to restart several times. Wait until you see Upgrade complete!"
echo " "
echo "Following will be upgraded:"
echo " BCFW for APC910 (QM170/CM236)"
echo " BIOS for APC910 (QM170/CM236)"

if exist fs0:\APCBR122.bin then
fs0:
goto START
endif

if exist fs1:\APCBR122.bin then
fs1:
goto START
endif

if exist fs2:\APCBR122.bin then
fs2:
goto START
endif

if exist fs3:\APCBR122.bin then
fs3:
goto START
endif

if exist fs4:\APCBR122.bin then
fs4:
goto START
endif

if exist fs5:\APCBR122.bin then
fs5:
goto START
endif

if exist fs6:\APCBR122.bin then
fs6:
goto START
endif

if exist fs7:\APCBR122.bin then
fs7:
goto START
endif

if exist fs8:\APCBR122.bin then
fs8:
goto START
endif

if exist fs9:\APCBR122.bin then
fs9:
goto START
endif
goto FAIL2

:START
pause
echo " "
echo " "
echo "UPGBCFW.nsh script will be executed"
upgbcfw.nsh

if exist UPGBCFW.dat then
goto END
endif

echo " "
echo " "
echo "UPGBIOS.nsh script will be executed"
upgbios.nsh
goto END

:FAIL2
echo " "
echo "*********************************************"
echo "*                Upgrade FAIL               *"
echo "*    ERROR, BIOS not found on FS0 - FS9 !   *"
echo "*********************************************"
goto END


:END