@echo -off
echo " "
echo Check installed BIOS version

brbiosid.efi W
if not %lasterror% == 57 then
goto NEXT
endif
goto BIOS
:NEXT
if not %lasterror% == 0x57 then
goto FAIL
endif

:BIOS
xcpbsvc.efi bflash APCBR122.bin /e
if not %lasterror% == 0 then 
goto FAIL1
endif
goto OK

:FAIL
echo " "
echo "*********************************************"
echo "*                Upgrade FAIL               *"
echo "*         ERROR, wrong CPU detected !       *"
echo "*********************************************"
goto END


:FAIL1
echo " "
echo "*********************************************"
echo "*       Upgrade FAIL or not necessary       *"
echo "*       Check ERROR message above and       *"
echo "*            TRY AGAIN, but do not          *"
echo "*          POWER OFF/ON Your System         *"
echo "*********************************************"
goto END

:OK
echo " "
echo "*********************************************"
echo "*              Upgrade complete             *"
echo "*                 REBOOT NOW                *"
echo "*********************************************"
echo "*      Press "Del" to enter BIOS Setup      *"
echo "*    and load CMOS Defaults after REBOOT    *"
echo "*********************************************"

:END